[Haskell-cafe] Re: Fwd: installing happy 1.17

Duncan Coutts duncan.coutts at worc.ox.ac.uk
Sat Jun 7 14:39:20 EDT 2008

On Sat, 2008-06-07 at 18:44 +0100, Duncan Coutts wrote:

> Perhaps a better solution is for cabal-install to choose the version of
> the Cabal library differently. Of course it has to be within the hard
> constraints specified in the .cabal file and on the command line. But
> after that perhaps it should prefer the version of the Cabal library
> that it itself was built with and at second preference the latest
> version in the same major series. The last preference would be as now,
> the latest version available.
> Sound sensible?


Sat Jun  7 19:26:00 BST 2008  Duncan Coutts <duncan at haskell.org>
  * Use a smarter preference when picking a Cabal lib to build Setup.hs
  Instead of just using the latest version we use the best version
  according to the following preferences in priority order:
  - the same version as cabal-install was itself built with
  - the same major version number as cabal-install was built with
  - a stable version of Cabal (even second digit of major number)
  - the latest version


More information about the Haskell-Cafe mailing list